--- CMakeLists.txt.orig	2013-12-31 07:20:28.000000000 +1000
+++ CMakeLists.txt	2014-01-15 10:20:36.928326331 +1000
@@ -55,13 +55,13 @@
 endif()
 if(NOT CMAKE_LIBRARY_OUTPUT_DIRECTORY)
   if(UNIX)
-    set(CMAKE_LIBRARY_OUTPUT_DIRECTORY "${VTK_BINARY_DIR}/lib")
+    set(CMAKE_LIBRARY_OUTPUT_DIRECTORY "${VTK_BINARY_DIR}/lib${LIB_SUFFIX}")
   else()
     set(CMAKE_LIBRARY_OUTPUT_DIRECTORY "${VTK_BINARY_DIR}/bin")
   endif()
 endif()
 if(NOT CMAKE_ARCHIVE_OUTPUT_DIRECTORY)
-  set(CMAKE_ARCHIVE_OUTPUT_DIRECTORY "${VTK_BINARY_DIR}/lib")
+  set(CMAKE_ARCHIVE_OUTPUT_DIRECTORY "${VTK_BINARY_DIR}/lib${LIB_SUFFIX}")
 endif()
 mark_as_advanced(CMAKE_RUNTIME_OUTPUT_DIRECTORY
   CMAKE_LIBRARY_OUTPUT_DIRECTORY
@@ -78,14 +78,17 @@
     "${VTK_MAJOR_VERSION}.${VTK_MINOR_VERSION}.${VTK_BUILD_VERSION}")
 
 # VTK installation structure
+IF(NOT LIB_SUFFIX)
+  SET(LIB_SUFFIX "")
+ENDIF(NOT LIB_SUFFIX)
 if(NOT VTK_INSTALL_RUNTIME_DIR)
   set(VTK_INSTALL_RUNTIME_DIR bin)
 endif()
 if(NOT VTK_INSTALL_LIBRARY_DIR)
-  set(VTK_INSTALL_LIBRARY_DIR lib)
+  set(VTK_INSTALL_LIBRARY_DIR lib${LIB_SUFFIX})
 endif()
 if(NOT VTK_INSTALL_ARCHIVE_DIR)
-  set(VTK_INSTALL_ARCHIVE_DIR lib)
+  set(VTK_INSTALL_ARCHIVE_DIR lib${LIB_SUFFIX})
 endif()
 if(NOT VTK_INSTALL_INCLUDE_DIR)
   set(VTK_INSTALL_INCLUDE_DIR include/vtk-${VTK_MAJOR_VERSION}.${VTK_MINOR_VERSION})
@@ -97,14 +100,14 @@
   set(VTK_INSTALL_DOC_DIR share/doc/vtk-${VTK_MAJOR_VERSION}.${VTK_MINOR_VERSION})
 endif()
 if(NOT VTK_INSTALL_PACKAGE_DIR)
-  set(VTK_INSTALL_PACKAGE_DIR "lib/cmake/vtk-${VTK_MAJOR_VERSION}.${VTK_MINOR_VERSION}")
+  set(VTK_INSTALL_PACKAGE_DIR "lib${LIB_SUFFIX}/cmake/vtk-${VTK_MAJOR_VERSION}.${VTK_MINOR_VERSION}")
 endif()
 if(NOT VTK_INSTALL_DOXYGEN_DIR)
   set(VTK_INSTALL_DOXYGEN_DIR ${VTK_INSTALL_DOC_DIR}/doxygen)
 endif()
 if(NOT VTK_INSTALL_TCL_DIR)
-  # tclsh searches <prefix>/lib/tcltk and its subdirectories for pkgIndex.tcl files
-  set(VTK_INSTALL_TCL_DIR lib/tcltk/vtk-${VTK_MAJOR_VERSION}.${VTK_MINOR_VERSION})
+  # tclsh searches <prefix>/lib${LIB_SUFFIX}/tcltk and its subdirectories for pkgIndex.tcl files
+  set(VTK_INSTALL_TCL_DIR lib${LIB_SUFFIX}/tcltk/vtk-${VTK_MAJOR_VERSION}.${VTK_MINOR_VERSION})
 endif()
 if(NOT VTK_INSTALL_EXPORT_NAME)
   set(VTK_INSTALL_EXPORT_NAME VTKTargets)
